Page MenuHomePhabricator

`phabricator_repository.repository_commitdata` authorName field should be longtext
Closed, ResolvedPublic

Description

Hi,

Our Phabricator daemon logs this exception in daemons.log every 5 minutes:

[16-Sep-2014 07:50:42 UTC] [2014-09-16 07:50:42] EXCEPTION: (PhutilProxyException) Error while executing task ID 14660 from queue. {>} (AphrontQueryException) #1406: Data too long for column 'authorName' at row 1 at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:308]
[16-Sep-2014 07:50:42 UTC]   #0 AphrontBaseMySQLDatabaseConnection::throwQueryCodeException(integer, string) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:275]
[16-Sep-2014 07:50:42 UTC]   #1 AphrontBaseMySQLDatabaseConnection::throwQueryException(mysqli) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:181]
[16-Sep-2014 07:50:42 UTC]   #2 AphrontBaseMySQLDatabaseConnection::executeRawQuery(string) called at [<phutil>/src/xsprintf/queryfx.php:6]
[16-Sep-2014 07:50:42 UTC]   #3 queryfx(AphrontMySQLiDatabaseConnection, string, string, string, string, string)
[16-Sep-2014 07:50:42 UTC]   #4 call_user_func_array(string, array) called at [<phutil>/src/aphront/storage/connection/AphrontDatabaseConnection.php:26]
[16-Sep-2014 07:50:42 UTC]   #5 AphrontDatabaseConnection::query(string, string, string, string, string) called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1099]
[16-Sep-2014 07:50:42 UTC]   #6 LiskDAO::update() called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1028]
[16-Sep-2014 07:50:42 UTC]   #7 LiskDAO::save() called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryCommitMessageParserWorker.php:222]
[16-Sep-2014 07:50:42 UTC]   #8 PhabricatorRepositoryCommitMessageParserWorker::updateCommitData(DiffusionCommitRef) called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryGitCommitMessageParserWorker.php:15]
[16-Sep-2014 07:50:42 UTC]   #9 PhabricatorRepositoryGitCommitMessageParserWorker::parseCommit(PhabricatorRepository, PhabricatorRepositoryCommit) called at [<phabricator>/src/applications/repository/worker/PhabricatorRepositoryCommitParserWorker.php:44]
[16-Sep-2014 07:50:42 UTC]   #10 PhabricatorRepositoryCommitParserWorker::doWork() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorWorker.php:87]
[16-Sep-2014 07:50:42 UTC]   #11 PhabricatorWorker::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/storage/PhabricatorWorkerActiveTask.php:124]
[16-Sep-2014 07:50:42 UTC]   #12 PhabricatorWorkerActiveTask::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorTaskmasterDaemon.php:19]
[16-Sep-2014 07:50:42 UTC]   #13 PhabricatorTaskmasterDaemon::run() called at [<phutil>/src/daemon/PhutilDaemon.php:91]
[16-Sep-2014 07:50:42 UTC]   #14 PhutilDaemon::execute() called at [<phutil>/scripts/daemon/exec/exec_daemon.php:111]

Event Timeline

ambientsound raised the priority of this task from to Needs Triage.
ambientsound updated the task description. (Show Details)
ambientsound added a subscriber: ambientsound.

You most likely have a commit with an "Author" string that is longer than 255 characters. We can remove this limit after T1191.

epriestley renamed this task from AphrontQueryException #1406: Data too long for column 'authorName' at row 1 to `phabricator_repository.repository_commitdata` authorName field should be longtext.Sep 18 2014, 3:18 PM
epriestley triaged this task as Normal priority.
epriestley closed this task as Resolved.Oct 1 2014, 3:38 PM
epriestley claimed this task.